IMakefileView (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.makefile.IMakefileView interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.makefile
Interface IMakefileView

All Superinterfaces:
  IMakefileViewBase, IView

    public interface IMakefileView

extends IView, IMakefileViewBase

This is the interface to reading and modifying the Makefile contents.

This is radically simplified and stupid. CDT's IMakefile doesn't provide write access, so instead of implementing a parallel layer, we expose only operations that query the model or make simple text-based operations. Changes are made to the backing text and the model is reparsed. Obviously, this is meant only for occasional operations.

Method Summary
`boolean` | `hasChanges()` Tell if the view has changed since the last commit

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.IView
`addListener, commit, convertModelToProjectPath, convertProjectToModelPath, dispose, forceSynchronized, getData, getMessages, getModel, getProjectPath, getReferencedFiles, getViewConfiguration, markUnsynchronized, merge, needsSynchonize, removeListener, revert, setDebug`

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.model.makefile.IMakefileViewBase
`appendText, deleteDirective, expandAllMacrosInRuleString, expandAllMacrosInString, findCommandsInvoking, findRuleForTarget, getAllMacroDefinitions, getAllMacroDefinitions, getEOL, getMakefile, insertText, insertTextBefore, replaceDirective, unexpandMacros, unexpandMacros`

Method Detail

### hasChanges

    boolean hasChanges()

  Tell if the view has changed since the last commit

  Returns:
    true if changed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD